## cutefish-settings-0.4-2.src.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(PROJECT_NAME cutefish-settings)
project(${PROJECT_NAME})

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake;${CMAKE_CURRENT_SOURCE_DIR}/cmake")

set(QT Core Gui Widgets Quick QuickControls2 X11Extras DBus Xml Concurrent LinguistTools)
find_package(Qt5 REQUIRED ${QT})
find_package(X11 REQUIRED)
find_package(Freetype REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(Libcrypt REQUIRED)

find_package(KF5NetworkManagerQt REQUIRED)
find_package(KF5ModemManagerQt REQUIRED)

pkg_search_module(FontConfig REQUIRED fontconfig IMPORTED_TARGET)
pkg_search_module(ICU REQUIRED icu-i18n)

include_directories(${ICU_INCLUDE_DIRS})

set(SRCS
    src/application.cpp
    src/main.cpp
    src/appearance.cpp
    src/battery.cpp
    src/brightness.cpp
    src/fontsmodel.cpp
    src/language.cpp
    src/about.cpp
    src/background.cpp
    src/password.cpp
    src/batteryhistorymodel.cpp
    src/cicontheme.cpp
    src/fonts/kxftconfig.cpp
    src/fonts/fonts.cpp
    src/powermanager.cpp
    src/cursor/cursorthememodel.cpp
    src/cursor/cursortheme.cpp
    src/cursor/mouse.cpp
    src/datetime/time.cpp
    src/datetime/timezonedata.h
    src/datetime/timezonemap.cpp
    src/datetime/timedated_interface.cpp
)

set(RESOURCES
    src/resources.qrc
)

qt5_add_dbus_adaptor(DBUS_SOURCES
                     src/org.cutefish.SettingsUI.xml
                     src/application.h Application)
set_source_files_properties(${DBUS_SOURCES} PROPERTIES SKIP_AUTOGEN ON)

# qt5_add_dbus_interface(DBUS_SOURCES src/datetime/org.freedesktop.timedate1.xml timedated_interface)

add_executable(${PROJECT_NAME} ${DBUS_SOURCES} ${SRCS} ${RESOURCES})
target_link_libraries(${PROJECT_NAME}
        Qt5::Core
        Qt5::Widgets
        Qt5::Quick
        Qt5::QuickControls2
        Qt5::DBus
        Qt5::Xml
        Qt5::X11Extras
        Qt5::Concurrent
        # FishUI

        KF5::NetworkManagerQt
        KF5::ModemManagerQt

        PkgConfig::FontConfig
        ${FREETYPE_LIBRARIES}
        ${ICU_LDFLAGS}
        Libcrypt::Libcrypt

        ${X11_LIBRARIES}
        X11::X11
        X11::Xi
        X11::Xcursor
)

file(GLOB TS_FILES translations/*.ts)
qt5_create_translation(QM_FILES ${TS_FILES})
add_custom_target(translations DEPENDS ${QM_FILES} SOURCES ${TS_FILES})
add_dependencies(${PROJECT_NAME} translations)

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

install(FILES
    cutefish-settings.desktop
    DESTINATION /usr/share/applications/
    COMPONENT Runtime
)

install(FILES ${QM_FILES} DESTINATION /usr/share/${PROJECT_NAME}/translations)

=== debian/changelog ===
cutefish-settings (0.1) UNRELEASED; urgency=low

  * Initial release (CutefishOS)  <cutefishos@foxmail.com>

 -- CutefishOS <cutefishos@foxmail.com>  Thu, 16 Oct 2014 17:22:15 +0200

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>

pkgname=cutefish-settings
pkgver=0.4
pkgrel=2
pkgdesc="System Settings application for Cutefish Desktop"
arch=('x86_64')
url="https://github.com/cutefishos/settings"
license=('GPL')
groups=('cutefish')
depends=('fishui' 'fontconfig' 'freetype2' 'icu' 'kcoreaddons' 'libxcursor'
         'modemmanager-qt' 'networkmanager-qt'
         # qml:
         'bluez-qt' 'bluedevil' 'libcutefish' 'qt5-quickcontrols')
makedepends=('extra-cmake-modules' 'ninja' 'qt5-tools')
source=("https://github.com/cutefishos/settings/archive/$pkgver/$pkgname-$pkgver.tar.gz")
sha512sums=('9864e522fd64d58a53ce1bbe2a7c810709d74fd729f70c029429912c6608f0435c8faad32db4a289bb68ca90af55e8f882407940475e654c93dc77ad90293cef')

build() {
  cd settings-$pkgver

  cmake -DCMAKE_INSTALL_PREFIX=/usr .
  make
}

package() {
  cd settings-$pkgver
  make DESTDIR="$pkgdir" install
}

=== debian/control ===
Source: cutefish-settings
Section: devel
Priority: optional
Maintainer: CutefishOS <cutefishos@foxmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               libicu-dev,
               libcrypt-dev,
               libfreetype6-dev,
               libfontconfig1-dev,
               libkf5networkmanagerqt-dev,
               modemmanager-qt-dev,
               qtbase5-dev,
               libqt5x11extras5-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.0
Homepage: https://github.com/cutefishos/terminal

Package: cutefish-settings
Architecture: any
Depends: qml-module-qtquick-controls2,
         qml-module-qtquick2,
         qml-module-qtquick-layouts,
         qml-module-qt-labs-platform,
         qml-module-qt-labs-settings,
         qml-module-qtqml,
         qml-module-qtquick-window2,
         qml-module-qtquick-shapes,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-particles2,
         kscreen,
         ${misc:Depends},
         ${shlibs:Depends}
Description: CutefishOS Settings
